org.apache.poi.util

## Class GenericRecordXmlWriter

- java.lang.Object
- - org.apache.poi.util.GenericRecordXmlWriter

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class GenericRecordXmlWriter
      extends java.lang.Object
      implements java.io.Closeable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `GenericRecordXmlWriter.GenericRecordHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericRecordXmlWriter(java.lang.Appendable buffer)`
    `GenericRecordXmlWriter(java.io.File fileName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `closeName(java.lang.String name)`
    `protected static boolean` | `isComplex(java.lang.Object obj)`
    `static java.lang.String` | `marshal(GenericRecord record)`
    `static java.lang.String` | `marshal(GenericRecord record, boolean withComments)`
    `protected static boolean` | `matchInstanceOrArray(java.lang.Class key, java.lang.Object instance)`
    `protected void` | `openName(java.lang.String name)`
    `protected boolean` | `printAffineTransform(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printAnnotatedFlag(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printArray(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printBoolean(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printBufferedImage(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printBytes(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printColor(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printDimension(java.lang.String name, java.lang.Object o)`
    `protected void` | `printGenericRecord(java.lang.String name, java.lang.Object value)`
    `protected boolean` | `printList(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printNumber(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printObject(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printPath(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printPoint(java.lang.String name, java.lang.Object o)`
    `protected boolean` | `printRectangle(java.lang.String name, java.lang.Object o)`
    `void` | `setWithComments(boolean withComments)`
    `protected java.lang.String` | `tabs()`
    `protected java.lang.String` | `trimHex(long l, int size)`
    `void` | `write(GenericRecord record)`
    `protected void` | `write(java.lang.String name, GenericRecord record)`
    `protected boolean` | `writeChildren(GenericRecord record, boolean hasComplexProperties)`
    `void` | `writeError(java.lang.String errorMsg)`
    `protected java.util.stream.Stream<java.util.Map.Entry<java.lang.String,java.util.function.Supplier<?>>>` | `writeProp(java.util.Map.Entry<java.lang.String,java.util.function.Supplier<?>> me)`
    `protected boolean` | `writeProperties(GenericRecord record)`
    `protected void` | `writeValue(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericRecordXmlWriter

          public GenericRecordXmlWriter(java.io.File fileName)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GenericRecordXmlWriter

          public GenericRecordXmlWriter(java.lang.Appendable buffer)

  - ### Method Detail

    - #### marshal

          public static java.lang.String marshal(GenericRecord record)

    - #### marshal

          public static java.lang.String marshal(GenericRecord record,
                                                 boolean withComments)

    - #### setWithComments

          public void setWithComments(boolean withComments)

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### tabs

          protected java.lang.String tabs()

    - #### write

          public void write(GenericRecord record)

    - #### write

          protected void write(java.lang.String name,
                               GenericRecord record)

    - #### writeProperties

          protected boolean writeProperties(GenericRecord record)

    - #### writeChildren

          protected boolean writeChildren(GenericRecord record,
                                          boolean hasComplexProperties)

    - #### writeError

          public void writeError(java.lang.String errorMsg)

    - #### writeProp

          protected java.util.stream.Stream<java.util.Map.Entry<java.lang.String,java.util.function.Supplier<?>>> writeProp(java.util.Map.Entry<java.lang.String,java.util.function.Supplier<?>> me)

    - #### isComplex

          protected static boolean isComplex(java.lang.Object obj)

    - #### writeValue

          protected void writeValue(java.lang.String name,
                                    java.lang.Object value)

    - #### matchInstanceOrArray

          protected static boolean matchInstanceOrArray(java.lang.Class key,
                                                        java.lang.Object instance)

    - #### openName

          protected void openName(java.lang.String name)

    - #### closeName

          protected void closeName(java.lang.String name)

    - #### printNumber

          protected boolean printNumber(java.lang.String name,
                                        java.lang.Object o)

    - #### printBoolean

          protected boolean printBoolean(java.lang.String name,
                                         java.lang.Object o)

    - #### printList

          protected boolean printList(java.lang.String name,
                                      java.lang.Object o)

    - #### printArray

          protected boolean printArray(java.lang.String name,
                                       java.lang.Object o)

    - #### printGenericRecord

          protected void printGenericRecord(java.lang.String name,
                                            java.lang.Object value)

    - #### printAnnotatedFlag

          protected boolean printAnnotatedFlag(java.lang.String name,
                                               java.lang.Object o)

    - #### printBytes

          protected boolean printBytes(java.lang.String name,
                                       java.lang.Object o)

    - #### printPoint

          protected boolean printPoint(java.lang.String name,
                                       java.lang.Object o)

    - #### printDimension

          protected boolean printDimension(java.lang.String name,
                                           java.lang.Object o)

    - #### printRectangle

          protected boolean printRectangle(java.lang.String name,
                                           java.lang.Object o)

    - #### printPath

          protected boolean printPath(java.lang.String name,
                                      java.lang.Object o)

    - #### printObject

          protected boolean printObject(java.lang.String name,
                                        java.lang.Object o)

    - #### printAffineTransform

          protected boolean printAffineTransform(java.lang.String name,
                                                 java.lang.Object o)

    - #### printColor

          protected boolean printColor(java.lang.String name,
                                       java.lang.Object o)

    - #### printBufferedImage

          protected boolean printBufferedImage(java.lang.String name,
                                               java.lang.Object o)

    - #### trimHex

          protected java.lang.String trimHex(long l,
                                             int size)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.